import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

// Getting data from the gist link
const csvUrl =
  'https://gist.githubusercontent.com/chakravarthulaharsha/8d99d0d8029646b5a99007def6ed780a/raw/374b477496b4e76f2c3cf526e3883bb168b801de/car_sales.csv';

// exporting the data to be used
export const useData = () => {
  const [data, setData] = useState(null);

  // Filtering the data for 2022
  useEffect(() => {
    const row = d => {
      d.Population = +d['2022'];
      return d;
    };
    // Splitting the data into 20 sets(y values)
    csv(csvUrl, row).then(data => {
      setData(data.slice(0, 20));
    });
  }, []);
  
  return data;
};